package:
  name: lemi2seed
  version: 2023.1.1.0

source:
  path: ../

build:
  noarch: python
  number: 0
  script: {{ PYTHON }} -m pip install --no-deps -vv .

requirements:
  build:
    - python >=3.9
    - pip
  run:
    - python >=3.9
    - configobj
    - numpy
    - obspy
    - openpyxl
    - PySide2

test:
  source_files:
    - tests
  commands:
    - python -m unittest

about:
  home: https://www.passcal.nmt.edu/content/software-resources
  dev_url: https://git.passcal.nmt.edu/software_public/mt/lemi2seed
  license: GPLv3
  license_file: LICENSE
  summary: Convert LEMI data and metadata into day-long mseed and StationXML files.
